Erro ao Executar Virtual Box no Debian

1. Erro ao Executar Virtual Box no Debian

Bruno Henrique da Silva Magalhães
kiritoklr

(usa Debian)

Enviado em 03/03/2021 - 02:54h

Olá sou iniciante no linux e estou com problemas em executar o virtual box, fiz a instalação do mesmo seguindo esse tutorial: https://www.edivaldobrito.com.br/virtualbox-no-linux/, porém na parte que apresenta o passo: Passo 6. Agora instale o programa com o comando: sudo apt-get install virtualbox, apresenta a mensagem:

O pacote virtualbox é um pacote virtual fornecido por:
virtualbox-6.1 6.1.18-142142~Debian~buster
virtualbox-6.0 6.0.24-139119~Debian~buster
virtualbox-5.2 5.2.34-133893~Ubuntu~bionic
Você deveria selecionar explicitamente um para instalar.

Ao tentar executar sudo apt-get install virtualbox-6.1

Apresenta:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
virtualbox-6.1 is already the newest version (6.1.18-142142~Debian~buster).
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
virtualbox-6.1 : Depende: libqt5opengl5 (>= 5.0.2) mas não será instalado
Depende: libqt5printsupport5 (>= 5.0.2) mas não será instalado
Recomenda: libsdl-ttf2.0-0 mas não será instalado
Recomenda: linux-headers-generic mas não é instalável ou
linux-headers-generic-pae mas não é instalável ou
linux-headers-686-pae mas não é instalável ou
linux-headers-amd64 mas não será instalado ou
linux-headers-2.6-686 mas não é instalável ou
linux-headers-2.6-amd64 mas não é instalável ou
linux-headers mas não é instalável
Recomenda: linux-image mas não é instalável
woeusb:i386 : Depende: dosfstools:i386 mas não será instalado
Depende: ntfsprogs:i386 mas não é instalável ou
ntfs-3g:i386 mas não será instalado
Depende: p7zip-full:i386 mas não será instalado
Depende: libwxbase3.0-0v5:i386 (>= 3.0.2+dfsg) mas não será instalado
Depende: libwxgtk3.0-0v5:i386 (>= 3.0.2+dfsg) mas não será instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).


Gostaria de saber como revolver ;-; (Estou enfrentando problemas semelhantes ao instalar o woeusb)





  


2. Re: Erro ao Executar Virtual Box no Debian

Marcos Fernandes
markirius

(usa Arch Linux)

Enviado em 03/03/2021 - 07:10h

você atualizou os repositórios como indica o tutorial:
sudo apt update 


se não, segue estes passos:
sudo apt update
sudo apt install -f


caso não resolva faça:

sudo apt update
sudo apt dist-upgrade
sudo apt install -f


pode ser o caso com o WoeUSB.
Quando os repositórios não estão atualizados o apt cria este tipo de situação.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts